Skip to main content
Returns Signals belonging to the workspace associated with your API key.

Request

Query parameters

Filter by Signal type

Supported Signal types are:
Website Signals:
Market Signals:
LinkedIn Signals:

Filter by trigger

Supported type and trigger combinations are: If trigger is provided, type is required. Example:
LinkedIn comments:

Filter by Buyer

Use buyer_id to retrieve Signals associated with a specific Buyer.
Filters can be combined:
Multiple filters are combined using AND.

Filter by capture time

Use captured_after and captured_before to filter by when the Signal occurred.
Time filters use inclusive-start and exclusive-end semantics:
Timestamps use UTC in ISO 8601 format:

Sort Signals

GET signals only supports captured_at. Most recently captured Signals first:
Oldest Signals first:
By default, Signals are returned in:
The Signal ID is automatically used as a deterministic tie-breaker and does not need to be included in sort_by.

Pagination

Use limit to control the number of Signals returned in each request.
If additional results are available, the response includes a next_cursor. Pass that value using the cursor parameter:
Continue requesting pages until next_cursor is null.

Signal object

Every Signal uses the same top-level structure:
The object corresponding to the Signal’s type is populated. The other type-specific objects are null. For example:
  • type: website → website is populated
  • type: market → market is populated
  • type: linkedin → linkedin is populated

Response

A successful request returns Signal objects in data. The example below shows one Signal of each type.
The type-specific objects contain different fields depending on the Signal source: Website Signals can include URL, attribution, UTM parameters, advertising click IDs, Target Page details, session information, device information, location, and page engagement data. Market Signals include the Market trigger, attribution, intent topic, and company website. LinkedIn Signals include the LinkedIn trigger, attribution, LinkedIn URL, comment or reaction data, and related company or post information. The production response uses this same top-level polymorphic structure.

Errors